/*
# Name: ASferle
# Date: 8/4/2023
# Version: 6.5.3
#
# I2C Address(0x), Register Address(0x), Register Value(0x), Read Modify Write(0x)
#
# THIS DATA FILE, AND ALL INFORMATION CONTAINED THEREIN,
# IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
# THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL ANALOG DEVICES, INC. BE LIABLE FOR ANY CLAIM,
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE DATA FILE,
# THE INFORMATION CONTAINED THEREIN, OR ITS USE FOR ANY PURPOSE.
# BEFORE USING THIS DATA FILE IN ANY APPLICATION FOR PRODUCTION OR DEPLOYMENT,
# THE CUSTOMER IS SOLELY RESPONSIBLE FOR TESTING AND VERIFYING
# THE CONTENT OF THIS DATA FILE IN CONNECTION WITH THEIR PRODUCTS AND SYSTEM(S).
# ---------------------------------------------------------------------------------
#
#            _____ _____  
#      /\   |  __ \_   _| 
#     /  \  | |  | || |   
#    / /\ \ | |  | || |   
#   / ____ \| |__| || |_  
#  /_/    \_\_____/_____| 
#
# ---------------------------------------------------------------------------------
*/
/*
# This script is validated on: 
# MAX9295A
# MAX96724
# Please refer to the Errata sheet for each device.
# ---------------------------------------------------------------------------------
*/
// GMSL-A / Serializer: MAX9295A (Pixel Mode) / Mode: 1x4 / Device Address: 0xC4 / Multiple-VC Case: Single VC / Multiple-VC Pipe Sharing: N/A
// PipeX:
// Input Stream: VC0 YUV422_8bit PortB (D-PHY)

// GMSL-B / Serializer: MAX9295A (Pixel Mode) / Mode: 1x4 / Device Address: 0xC4 / Multiple-VC Case: Single VC / Multiple-VC Pipe Sharing: N/A
// PipeX:
// Input Stream: VC0 YUV422_8bit PortB (D-PHY)

// GMSL-C / Serializer: MAX9295A (Pixel Mode) / Mode: 1x4 / Device Address: 0xC4 / Multiple-VC Case: Single VC / Multiple-VC Pipe Sharing: N/A
// PipeX:
// Input Stream: VC0 YUV422_8bit PortB (D-PHY)

// GMSL-D / Serializer: MAX9295A (Pixel Mode) / Mode: 1x4 / Device Address: 0xC4 / Multiple-VC Case: Single VC / Multiple-VC Pipe Sharing: N/A
// PipeX:
// Input Stream: VC0 YUV422_8bit PortB (D-PHY)

// Deserializer: MAX96724 / Mode: 2 (1x4) / Device Address: 0x4E
// Pipe0:
// GMSL-A Input Stream: VC0 YUV422_8bit PortB - Output Stream: VC0 YUV422_8bit PortA (D-PHY)
// Pipe1:
// GMSL-B Input Stream: VC0 YUV422_8bit PortB - Output Stream: VC1 YUV422_8bit PortA (D-PHY)
// Pipe2:
// GMSL-C Input Stream: VC0 YUV422_8bit PortB - Output Stream: VC2 YUV422_8bit PortA (D-PHY)
// Pipe3:
// GMSL-D Input Stream: VC0 YUV422_8bit PortB - Output Stream: VC3 YUV422_8bit PortA (D-PHY)

0x04,0x4E,0x04,0x0B,0x00, // BACKTOP : BACKTOP12 | CSI_OUT_EN (CSI_OUT_EN): CSI output disabled
// Single Link Initialization Before Serializer Device Address Change
0x04,0x4E,0x00,0x06,0xF1, // DEV : REG6 | (Default) LINK_EN_A (LINK_EN_A): Enabled | LINK_EN_B (LINK_EN_B): Disabled | LINK_EN_C (LINK_EN_C): Disabled | LINK_EN_D (LINK_EN_D): Disabled
0x00,0x78,
// GMSL-A Serializer Address Change from 0xC4 to 0x80
0x04,0xC4,0x00,0x00,0x80, // (Default)  (DEV_ADDR): 0x40
// Single Link Initialization Before Serializer Device Address Change
0x04,0x4E,0x00,0x06,0xF2, // DEV : REG6 | LINK_EN_A (LINK_EN_A): Disabled | LINK_EN_B (LINK_EN_B): Enabled | (Default) LINK_EN_C (LINK_EN_C): Disabled | (Default) LINK_EN_D (LINK_EN_D): Disabled
0x00,0x78,
// GMSL-B Serializer Address Change from 0xC4 to 0x84
0x04,0xC4,0x00,0x00,0x84, //  (DEV_ADDR): 0x42
// Single Link Initialization Before Serializer Device Address Change
0x04,0x4E,0x00,0x06,0xF4, // DEV : REG6 | (Default) LINK_EN_A (LINK_EN_A): Disabled | LINK_EN_B (LINK_EN_B): Disabled | LINK_EN_C (LINK_EN_C): Enabled | (Default) LINK_EN_D (LINK_EN_D): Disabled
0x00,0x78,
// GMSL-C Serializer Address Change from 0xC4 to 0xC0
0x04,0xC4,0x00,0x00,0xC0, //  (DEV_ADDR): 0x60
// Link Initialization for Deserializer
0x04,0x4E,0x00,0x06,0xFF, // DEV : REG6 | LINK_EN_A (LINK_EN_A): Enabled | LINK_EN_B (LINK_EN_B): Enabled | (Default) LINK_EN_C (LINK_EN_C): Enabled | LINK_EN_D (LINK_EN_D): Enabled
0x00,0x78,
// Video Transmit Configuration for Serializer(s)
0x04,0x80,0x00,0x02,0x43, //  (VID_TX_EN_X): Disabled
0x04,0x84,0x00,0x02,0x43, //  (VID_TX_EN_X): Disabled
0x04,0xC0,0x00,0x02,0x43, //  (VID_TX_EN_X): Disabled
0x04,0xC4,0x00,0x02,0x43, //  (VID_TX_EN_X): Disabled
//  
// INSTRUCTIONS FOR GMSL-A SERIALIZER MAX9295A
//  
// MIPI DPHY Configuration
0x04,0x80,0x03,0x30,0x00, // (Default)  (Port Configuration): 1x4
0x04,0x80,0x03,0x31,0x33, // (Default)  (Port B - Lane Count): 4
0x04,0x80,0x03,0x32,0xE0, // (Default)  (Lane Map - PHY1 D0): Lane 2 | (Default)  (Lane Map - PHY1 D1): Lane 3
0x04,0x80,0x03,0x33,0x04, // (Default)  (Lane Map - PHY2 D0): Lane 0 | (Default)  (Lane Map - PHY2 D1): Lane 1
0x04,0x80,0x03,0x34,0x00, // (Default)  (Polarity - PHY1 Lane 0): Normal | (Default)  (Polarity - PHY1 Lane 1): Normal
0x04,0x80,0x03,0x35,0x00, // (Default)  (Polarity - PHY2 Lane 0): Normal | (Default)  (Polarity - PHY2 Lane 1): Normal | (Default)  (Polarity - PHY2 Clock Lane): Normal
// Controller to Pipe Mapping Configuration
0x04,0x80,0x03,0x08,0x7D, //  (CLK_SELX): Port B | (Default)  (START_PORTB): Enabled
0x04,0x80,0x03,0x11,0x15, // (Default)  (START_PORTBX): Start Video | (Default)  (START_PORTBY): Not Started |  (START_PORTBZ): Not Started | (Default)  (START_PORTBU): Not Started
0x04,0x80,0x03,0x14,0x5E, //  (mem_dt1_selx): 0x5E
0x04,0x80,0x03,0x15,0x00, // (Default)  (independent_vs_mode): Disabled
// Pipe Configuration
0x04,0x80,0x00,0x53,0x10, // (Default)  (TX_STR_SEL Pipe X): 0x0
//  
// INSTRUCTIONS FOR GMSL-B SERIALIZER MAX9295A
//  
// MIPI DPHY Configuration
0x04,0x84,0x03,0x30,0x00, // (Default)  (Port Configuration): 1x4
0x04,0x84,0x03,0x31,0x33, // (Default)  (Port B - Lane Count): 4
0x04,0x84,0x03,0x32,0xE0, // (Default)  (Lane Map - PHY1 D0): Lane 2 | (Default)  (Lane Map - PHY1 D1): Lane 3
0x04,0x84,0x03,0x33,0x04, // (Default)  (Lane Map - PHY2 D0): Lane 0 | (Default)  (Lane Map - PHY2 D1): Lane 1
0x04,0x84,0x03,0x34,0x00, // (Default)  (Polarity - PHY1 Lane 0): Normal | (Default)  (Polarity - PHY1 Lane 1): Normal
0x04,0x84,0x03,0x35,0x00, // (Default)  (Polarity - PHY2 Lane 0): Normal | (Default)  (Polarity - PHY2 Lane 1): Normal | (Default)  (Polarity - PHY2 Clock Lane): Normal
// Controller to Pipe Mapping Configuration
0x04,0x84,0x03,0x08,0x7D, //  (CLK_SELX): Port B | (Default)  (START_PORTB): Enabled
0x04,0x84,0x03,0x11,0x15, // (Default)  (START_PORTBX): Start Video | (Default)  (START_PORTBY): Not Started |  (START_PORTBZ): Not Started | (Default)  (START_PORTBU): Not Started
0x04,0x84,0x03,0x14,0x5E, //  (mem_dt1_selx): 0x5E
0x04,0x84,0x03,0x15,0x00, // (Default)  (independent_vs_mode): Disabled
// Pipe Configuration
0x04,0x84,0x00,0x53,0x10, // (Default)  (TX_STR_SEL Pipe X): 0x0
//  
// INSTRUCTIONS FOR GMSL-C SERIALIZER MAX9295A
//  
// MIPI DPHY Configuration
0x04,0xC0,0x03,0x30,0x00, // (Default)  (Port Configuration): 1x4
0x04,0xC0,0x03,0x31,0x33, // (Default)  (Port B - Lane Count): 4
0x04,0xC0,0x03,0x32,0xE0, // (Default)  (Lane Map - PHY1 D0): Lane 2 | (Default)  (Lane Map - PHY1 D1): Lane 3
0x04,0xC0,0x03,0x33,0x04, // (Default)  (Lane Map - PHY2 D0): Lane 0 | (Default)  (Lane Map - PHY2 D1): Lane 1
0x04,0xC0,0x03,0x34,0x00, // (Default)  (Polarity - PHY1 Lane 0): Normal | (Default)  (Polarity - PHY1 Lane 1): Normal
0x04,0xC0,0x03,0x35,0x00, // (Default)  (Polarity - PHY2 Lane 0): Normal | (Default)  (Polarity - PHY2 Lane 1): Normal | (Default)  (Polarity - PHY2 Clock Lane): Normal
// Controller to Pipe Mapping Configuration
0x04,0xC0,0x03,0x08,0x7D, //  (CLK_SELX): Port B | (Default)  (START_PORTB): Enabled
0x04,0xC0,0x03,0x11,0x15, // (Default)  (START_PORTBX): Start Video | (Default)  (START_PORTBY): Not Started |  (START_PORTBZ): Not Started | (Default)  (START_PORTBU): Not Started
0x04,0xC0,0x03,0x14,0x5E, //  (mem_dt1_selx): 0x5E
0x04,0xC0,0x03,0x15,0x00, // (Default)  (independent_vs_mode): Disabled
// Pipe Configuration
0x04,0xC0,0x00,0x53,0x10, // (Default)  (TX_STR_SEL Pipe X): 0x0
//  
// INSTRUCTIONS FOR GMSL-D SERIALIZER MAX9295A
//  
// MIPI DPHY Configuration
0x04,0xC4,0x03,0x30,0x00, // (Default)  (Port Configuration): 1x4
0x04,0xC4,0x03,0x31,0x33, // (Default)  (Port B - Lane Count): 4
0x04,0xC4,0x03,0x32,0xE0, // (Default)  (Lane Map - PHY1 D0): Lane 2 | (Default)  (Lane Map - PHY1 D1): Lane 3
0x04,0xC4,0x03,0x33,0x04, // (Default)  (Lane Map - PHY2 D0): Lane 0 | (Default)  (Lane Map - PHY2 D1): Lane 1
0x04,0xC4,0x03,0x34,0x00, // (Default)  (Polarity - PHY1 Lane 0): Normal | (Default)  (Polarity - PHY1 Lane 1): Normal
0x04,0xC4,0x03,0x35,0x00, // (Default)  (Polarity - PHY2 Lane 0): Normal | (Default)  (Polarity - PHY2 Lane 1): Normal | (Default)  (Polarity - PHY2 Clock Lane): Normal
// Controller to Pipe Mapping Configuration
0x04,0xC4,0x03,0x08,0x7D, //  (CLK_SELX): Port B | (Default)  (START_PORTB): Enabled
0x04,0xC4,0x03,0x11,0x15, // (Default)  (START_PORTBX): Start Video | (Default)  (START_PORTBY): Not Started |  (START_PORTBZ): Not Started | (Default)  (START_PORTBU): Not Started
0x04,0xC4,0x03,0x14,0x5E, //  (mem_dt1_selx): 0x5E
0x04,0xC4,0x03,0x15,0x00, // (Default)  (independent_vs_mode): Disabled
// Pipe Configuration
0x04,0xC4,0x00,0x53,0x10, // (Default)  (TX_STR_SEL Pipe X): 0x0

// INSTRUCTIONS FOR DESERIALIZER MAX96724

// Video Pipes And Routing Configuration
0x04,0x4E,0x00,0xF0,0x40, // VIDEO_PIPE_SEL : VIDEO_PIPE_SEL_0 | (Default) VIDEO_PIPE_SEL_0 (Pipe 0 GMSL2 PHY): A | VIDEO_PIPE_SEL_0 (Pipe 0 Input Pipe): X | (Default) VIDEO_PIPE_SEL_1 (Pipe 1 GMSL2 PHY): B | VIDEO_PIPE_SEL_1 (Pipe 1 Input Pipe): X
0x04,0x4E,0x00,0xF1,0xC8, // VIDEO_PIPE_SEL : VIDEO_PIPE_SEL_1 | (Default) VIDEO_PIPE_SEL_2 (Pipe 2 GMSL2 PHY): C | VIDEO_PIPE_SEL_2 (Pipe 2 Input Pipe): X | (Default) VIDEO_PIPE_SEL_3 (Pipe 3 GMSL2 PHY): D | VIDEO_PIPE_SEL_3 (Pipe 3 Input Pipe): X
0x04,0x4E,0x00,0xF4,0x0F, // VIDEO_PIPE_SEL : VIDEO_PIPE_EN | (Default) VIDEO_PIPE_EN (Video Pipe 0): Enabled | (Default) VIDEO_PIPE_EN (Video Pipe 1): Enabled | (Default) VIDEO_PIPE_EN (Video Pipe 2): Enabled | (Default) VIDEO_PIPE_EN (Video Pipe 3): Enabled | STREAM_SEL_ALL (Stream Select All): Disabled
// Pipe to Controller Mapping Configuration
0x04,0x4E,0x09,0x0B,0x07, // MIPI_TX__0 : MIPI_TX11 | MAP_EN_L (MAP_EN_L Pipe 0): 0x7
0x04,0x4E,0x09,0x0C,0x00, // MIPI_TX__0 : MIPI_TX12 | (Default) MAP_EN_H (MAP_EN_H Pipe 0): 0x0
0x04,0x4E,0x09,0x0D,0x1E, // MIPI_TX__0 : MIPI_TX13 | MAP_SRC_0 (MAP_SRC_0 Pipe 0 DT): 0x1E | (Default) MAP_SRC_0 (MAP_SRC_0 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x0E,0x1E, // MIPI_TX__0 : MIPI_TX14 | MAP_DST_0 (MAP_DST_0 Pipe 0 DT): 0x1E | (Default) MAP_DST_0 (MAP_DST_0 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x0F,0x00, // MIPI_TX__0 : MIPI_TX15 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 0 DT): 0x0 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x10,0x00, // MIPI_TX__0 : MIPI_TX16 | (Default) MAP_DST_1 (MAP_DST_1 Pipe 0 DT): 0x0 | (Default) MAP_DST_1 (MAP_DST_1 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x11,0x01, // MIPI_TX__0 : MIPI_TX17 | MAP_SRC_2 (MAP_SRC_2 Pipe 0 DT): 0x1 | (Default) MAP_SRC_2 (MAP_SRC_2 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x12,0x01, // MIPI_TX__0 : MIPI_TX18 | MAP_DST_2 (MAP_DST_2 Pipe 0 DT): 0x1 | (Default) MAP_DST_2 (MAP_DST_2 Pipe 0 VC): 0x0
0x04,0x4E,0x09,0x2D,0x15, // MIPI_TX__0 : MIPI_TX45 | MAP_DPHY_DEST_0 (MAP_DPHY_DST_0 Pipe 0): 0x1 | MAP_DPHY_DEST_1 (MAP_DPHY_DST_1 Pipe 0): 0x1 | MAP_DPHY_DEST_2 (MAP_DPHY_DST_2 Pipe 0): 0x1
0x04,0x4E,0x09,0x4B,0x07, // MIPI_TX__1 : MIPI_TX11 | MAP_EN_L (MAP_EN_L Pipe 1): 0x7
0x04,0x4E,0x09,0x4C,0x00, // MIPI_TX__1 : MIPI_TX12 | (Default) MAP_EN_H (MAP_EN_H Pipe 1): 0x0
0x04,0x4E,0x09,0x4D,0x1E, // MIPI_TX__1 : MIPI_TX13 | MAP_SRC_0 (MAP_SRC_0 Pipe 1 DT): 0x1E | (Default) MAP_SRC_0 (MAP_SRC_0 Pipe 1 VC): 0x0
0x04,0x4E,0x09,0x4E,0x5E, // MIPI_TX__1 : MIPI_TX14 | MAP_DST_0 (MAP_DST_0 Pipe 1 DT): 0x1E | MAP_DST_0 (MAP_DST_0 Pipe 1 VC): 0x1
0x04,0x4E,0x09,0x4F,0x00, // MIPI_TX__1 : MIPI_TX15 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 1 DT): 0x0 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 1 VC): 0x0
0x04,0x4E,0x09,0x50,0x40, // MIPI_TX__1 : MIPI_TX16 | (Default) MAP_DST_1 (MAP_DST_1 Pipe 1 DT): 0x0 | MAP_DST_1 (MAP_DST_1 Pipe 1 VC): 0x1
0x04,0x4E,0x09,0x51,0x01, // MIPI_TX__1 : MIPI_TX17 | MAP_SRC_2 (MAP_SRC_2 Pipe 1 DT): 0x1 | (Default) MAP_SRC_2 (MAP_SRC_2 Pipe 1 VC): 0x0
0x04,0x4E,0x09,0x52,0x41, // MIPI_TX__1 : MIPI_TX18 | MAP_DST_2 (MAP_DST_2 Pipe 1 DT): 0x1 | MAP_DST_2 (MAP_DST_2 Pipe 1 VC): 0x1
0x04,0x4E,0x09,0x6D,0x15, // MIPI_TX__1 : MIPI_TX45 | MAP_DPHY_DEST_0 (MAP_DPHY_DST_0 Pipe 1): 0x1 | MAP_DPHY_DEST_1 (MAP_DPHY_DST_1 Pipe 1): 0x1 | MAP_DPHY_DEST_2 (MAP_DPHY_DST_2 Pipe 1): 0x1
0x04,0x4E,0x09,0x8B,0x07, // MIPI_TX__2 : MIPI_TX11 | MAP_EN_L (MAP_EN_L Pipe 2): 0x7
0x04,0x4E,0x09,0x8C,0x00, // MIPI_TX__2 : MIPI_TX12 | (Default) MAP_EN_H (MAP_EN_H Pipe 2): 0x0
0x04,0x4E,0x09,0x8D,0x1E, // MIPI_TX__2 : MIPI_TX13 | MAP_SRC_0 (MAP_SRC_0 Pipe 2 DT): 0x1E | (Default) MAP_SRC_0 (MAP_SRC_0 Pipe 2 VC): 0x0
0x04,0x4E,0x09,0x8E,0x9E, // MIPI_TX__2 : MIPI_TX14 | MAP_DST_0 (MAP_DST_0 Pipe 2 DT): 0x1E | MAP_DST_0 (MAP_DST_0 Pipe 2 VC): 0x2
0x04,0x4E,0x09,0x8F,0x00, // MIPI_TX__2 : MIPI_TX15 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 2 DT): 0x0 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 2 VC): 0x0
0x04,0x4E,0x09,0x90,0x80, // MIPI_TX__2 : MIPI_TX16 | (Default) MAP_DST_1 (MAP_DST_1 Pipe 2 DT): 0x0 | MAP_DST_1 (MAP_DST_1 Pipe 2 VC): 0x2
0x04,0x4E,0x09,0x91,0x01, // MIPI_TX__2 : MIPI_TX17 | MAP_SRC_2 (MAP_SRC_2 Pipe 2 DT): 0x1 | (Default) MAP_SRC_2 (MAP_SRC_2 Pipe 2 VC): 0x0
0x04,0x4E,0x09,0x92,0x81, // MIPI_TX__2 : MIPI_TX18 | MAP_DST_2 (MAP_DST_2 Pipe 2 DT): 0x1 | MAP_DST_2 (MAP_DST_2 Pipe 2 VC): 0x2
0x04,0x4E,0x09,0xAD,0x15, // MIPI_TX__2 : MIPI_TX45 | MAP_DPHY_DEST_0 (MAP_DPHY_DST_0 Pipe 2): 0x1 | MAP_DPHY_DEST_1 (MAP_DPHY_DST_1 Pipe 2): 0x1 | MAP_DPHY_DEST_2 (MAP_DPHY_DST_2 Pipe 2): 0x1
0x04,0x4E,0x09,0xCB,0x07, // MIPI_TX__3 : MIPI_TX11 | MAP_EN_L (MAP_EN_L Pipe 3): 0x7
0x04,0x4E,0x09,0xCC,0x00, // MIPI_TX__3 : MIPI_TX12 | (Default) MAP_EN_H (MAP_EN_H Pipe 3): 0x0
0x04,0x4E,0x09,0xCD,0x1E, // MIPI_TX__3 : MIPI_TX13 | MAP_SRC_0 (MAP_SRC_0 Pipe 3 DT): 0x1E | (Default) MAP_SRC_0 (MAP_SRC_0 Pipe 3 VC): 0x0
0x04,0x4E,0x09,0xCE,0xDE, // MIPI_TX__3 : MIPI_TX14 | MAP_DST_0 (MAP_DST_0 Pipe 3 DT): 0x1E | MAP_DST_0 (MAP_DST_0 Pipe 3 VC): 0x3
0x04,0x4E,0x09,0xCF,0x00, // MIPI_TX__3 : MIPI_TX15 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 3 DT): 0x0 | (Default) MAP_SRC_1 (MAP_SRC_1 Pipe 3 VC): 0x0
0x04,0x4E,0x09,0xD0,0xC0, // MIPI_TX__3 : MIPI_TX16 | (Default) MAP_DST_1 (MAP_DST_1 Pipe 3 DT): 0x0 | MAP_DST_1 (MAP_DST_1 Pipe 3 VC): 0x3
0x04,0x4E,0x09,0xD1,0x01, // MIPI_TX__3 : MIPI_TX17 | MAP_SRC_2 (MAP_SRC_2 Pipe 3 DT): 0x1 | (Default) MAP_SRC_2 (MAP_SRC_2 Pipe 3 VC): 0x0
0x04,0x4E,0x09,0xD2,0xC1, // MIPI_TX__3 : MIPI_TX18 | MAP_DST_2 (MAP_DST_2 Pipe 3 DT): 0x1 | MAP_DST_2 (MAP_DST_2 Pipe 3 VC): 0x3
0x04,0x4E,0x09,0xED,0x15, // MIPI_TX__3 : MIPI_TX45 | MAP_DPHY_DEST_0 (MAP_DPHY_DST_0 Pipe 3): 0x1 | MAP_DPHY_DEST_1 (MAP_DPHY_DST_1 Pipe 3): 0x1 | MAP_DPHY_DEST_2 (MAP_DPHY_DST_2 Pipe 3): 0x1
// Double Mode Configuration
// MIPI DPHY Configuration
0x04,0x4E,0x08,0xA0,0x04, // MIPI_PHY : MIPI_PHY0 | (Default) phy_4x2 (Port Configuration): 2 (1x4)
0x04,0x4E,0x09,0x4A,0xD0, // MIPI_TX__1 : MIPI_TX10 | (Default) CSI2_LANE_CNT (Port A - Lane Count): 4
0x04,0x4E,0x08,0xA3,0xE4, // MIPI_PHY : MIPI_PHY3 | (Default) phy0_lane_map (Lane Map - PHY0 D0): Lane 0 | (Default) phy0_lane_map (Lane Map - PHY0 D1): Lane 1 | (Default) phy1_lane_map (Lane Map - PHY1 D0): Lane 2 | (Default) phy1_lane_map (Lane Map - PHY1 D1): Lane 3
0x04,0x4E,0x08,0xA5,0x00, // MIPI_PHY : MIPI_PHY5 | (Default) phy0_pol_map (Polarity - PHY0 Lane 0): Normal | (Default) phy0_pol_map (Polarity - PHY0 Lane 1): Normal | (Default) phy1_pol_map (Polarity - PHY1 Lane 0): Normal | (Default) phy1_pol_map (Polarity - PHY1 Lane 1): Normal | (Default) phy1_pol_map (Polarity - PHY1 Clock Lane): Normal
0x04,0x4E,0x09,0x43,0x07, // MIPI_TX__1 : MIPI_TX3 | DESKEW_INIT (Controller 1 Auto Initial Deskew): Disabled
0x04,0x4E,0x09,0x44,0x01, // MIPI_TX__1 : MIPI_TX4 | DESKEW_PER (Controller 1 Periodic Deskew): Disabled
0x04,0x4E,0x1D,0x00,0xF4, //  (config_soft_rst_n - PHY1): 0x0
// This is to set predefined (coarse) CSI output frequency
// CSI Phy 1 is 1600 Mbps/lane.
0x04,0x4E,0x1D,0x00,0xF4, // (Default) 
0x04,0x4E,0x04,0x18,0x30,
0x04,0x4E,0x1D,0x00,0xF5, //  | (Default)  (config_soft_rst_n - PHY1): 0x1
0x04,0x4E,0x08,0xA2,0x34, // MIPI_PHY : MIPI_PHY2 | phy_Stdby_n (phy_Stdby_2): Put PHY2 in standby mode | phy_Stdby_n (phy_Stdby_3): Put PHY3 in standby mode
// Tunnel Mode Configuration
0x04,0x4E,0x08,0xCA,0x55, // MIPI_PHY : MIPI_CTRL_SEL | MIPI_CTRL_SEL_0 (MIPI Controller Pipe 0): 0x1 | (Default) MIPI_CTRL_SEL_1 (MIPI Controller Pipe 1): 0x1 | MIPI_CTRL_SEL_2 (MIPI Controller Pipe 2): 0x1 | MIPI_CTRL_SEL_3 (MIPI Controller Pipe 3): 0x1
0x04,0x4E,0x09,0x39,0x10, // MIPI_TX__0 : MIPI_TX57 | (Default) TUN_DEST (Tunneling Destination Pipe 0): 0x1
0x04,0x4E,0x09,0x79,0x10, // MIPI_TX__1 : MIPI_TX57 | (Default) TUN_DEST (Tunneling Destination Pipe 1): 0x1
0x04,0x4E,0x09,0xB9,0x10, // MIPI_TX__2 : MIPI_TX57 | (Default) TUN_DEST (Tunneling Destination Pipe 2): 0x1
0x04,0x4E,0x09,0xF9,0x10, // MIPI_TX__3 : MIPI_TX57 | (Default) TUN_DEST (Tunneling Destination Pipe 3): 0x1
0x04,0x4E,0x04,0x0B,0x02, // BACKTOP : BACKTOP12 | CSI_OUT_EN (CSI_OUT_EN): CSI output enabled
// Video Transmit Configuration for Serializer(s)
0x04,0x80,0x00,0x02,0x53, //  (VID_TX_EN_X): Enabled
0x04,0x84,0x00,0x02,0x53, //  (VID_TX_EN_X): Enabled
0x04,0xC0,0x00,0x02,0x53, //  (VID_TX_EN_X): Enabled
0x04,0xC4,0x00,0x02,0x53, //  (VID_TX_EN_X): Enabled
