/*
# Name: btogorea
# Date: 6/23/2023
# Version: 6.5.3
#
# I2C Address(0x), Register Address(0x), Register Value(0x), Read Modify Write(0x)
#
# THIS DATA FILE, AND ALL INFORMATION CONTAINED THEREIN,
# IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
# THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL ANALOG DEVICES, INC. BE LIABLE FOR ANY CLAIM,
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE DATA FILE,
# THE INFORMATION CONTAINED THEREIN, OR ITS USE FOR ANY PURPOSE.
# BEFORE USING THIS DATA FILE IN ANY APPLICATION FOR PRODUCTION OR DEPLOYMENT,
# THE CUSTOMER IS SOLELY RESPONSIBLE FOR TESTING AND VERIFYING
# THE CONTENT OF THIS DATA FILE IN CONNECTION WITH THEIR PRODUCTS AND SYSTEM(S).
# ---------------------------------------------------------------------------------
#
#            _____ _____  
#      /\   |  __ \_   _| 
#     /  \  | |  | || |   
#    / /\ \ | |  | || |   
#   / ____ \| |__| || |_  
#  /_/    \_\_____/_____| 
#
# ---------------------------------------------------------------------------------
*/
/*
# This script is validated on: 
# MAX9295A
# MAX9296A
# Please refer to the Errata sheet for each device.
# ---------------------------------------------------------------------------------
*/

// OSX021 Configurations
0x04,0x80,0x02,0xBE,0x90, // GPIO0 set high, 1Mohm pull up
0x04,0x80,0x02,0xBF,0x60, // GPIO0 out push-pull, pull up enable
0x04,0x80,0x03,0xF1,0x89, // GPIO4 as PCLK out, RCLK to PCLK

//OSX021 power up
0x04,0x80,0x02,0xD6,0x00, // GPIO8 set low
0x04,0x80,0x02,0xCD,0x04, // GPIO5 RX en
0x04,0x80,0x02,0xCA,0x10, // GPIO4 enable output
0x04,0x80,0x02,0xD6,0x10, // GPIO8 set high

//OSX021 FSYNC gpio config
0x04,0x80,0x02,0xC7,0x00, // GPIO3 RX en
0x04,0x80,0x02,0xC8,0x04, // GPIO3 out open drain, no pull
0x04,0x80,0x02,0xC9,0x00, // GPIO3 set ID to 6

//OSX021 power down
0x04,0x80,0x02,0xD6,0x04, // GPIO8 activate RX
